MENU_MARK(3)

NAME
menu_mark, menu_unmark, set_menu_mark, set_menu_unmark - menu library

LIBRARY
libmenu

SYNOPSIS
#include <menu.h>
char *
menu_mark(MENU *menu);
char *
menu_unmark(MENU *menu);
int
set_menu_mark(MENU *menu, char *mark);
int
set_menu_unmark(MENU *menu, char *mark);

DESCRIPTION
The menu_mark() function returns a pointer to the character string that is used to mark selected items in the menu. The mark string is set by the set_menu_mark() function. The menu_unmark() function returns a pointer to the character string that is used to indicate a menu items is not selected, this string is set by the set_menu_unmark() function. The mark and unmark strings may be of differing lengths, the room allocated to drawing the mark will be the maximum of the lengths of both the mark and unmark strings. The shorter of the two strings will be left justified and space padded.

RETURN VALUES
The functions return one of the following error values:

E_OK			The function was successful
E_SYSTEM_ERROR		There was a system error during the call.
E_BAD_ARGUMENT		One or more of the arguments passed to the function
			was incorrect.
E_POSTED		The menu is already posted.
E_CONNECTED		An item was already connected to a menu.
E_BAD_STATE		The function was called from within an initialisation
			or termination routine.
E_NO_ROOM		The menu does not fit within the subwindow.
E_NOT_POSTED		The menu is not posted
E_UNKNOWN_COMMAND	The menu driver does not recognise the request
			passed to it.
E_NO_MATCH		The character search failed to find a match.
E_NOT_SELECTABLE	The item could not be selected.
E_NOT_CONNECTED		The item is not connected to a menu.
E_REQUEST_DENIED	The menu driver could not process the request.

SEE ALSO
curses(3), menus(3)

NOTES
The header <menus.h> automatically includes both <curses.h> and <eti.h>